gi-gdk-3.0.29: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.EventExpose

Contents

- Exported types
- Methods
- Properties
  - area
  - count
  - region
  - sendEvent
  - type
  - window

Description

Generated when all or part of a window becomes visible and needs to be redrawn.

Synopsis

- newtype EventExpose = EventExpose (ManagedPtr EventExpose)
- newZeroEventExpose :: MonadIO m => m EventExpose
- getEventExposeArea :: MonadIO m => EventExpose -> m Rectangle
- getEventExposeCount :: MonadIO m => EventExpose -> m Int32
- setEventExposeCount :: MonadIO m => EventExpose -> Int32 -> m ()
- clearEventExposeRegion :: MonadIO m => EventExpose -> m ()
- getEventExposeRegion :: MonadIO m => EventExpose -> m (Maybe Region)
- setEventExposeRegion :: MonadIO m => EventExpose -> Ptr Region -> m ()
- getEventExposeSendEvent :: MonadIO m => EventExpose -> m Int8
- setEventExposeSendEvent :: MonadIO m => EventExpose -> Int8 -> m ()
- getEventExposeType :: MonadIO m => EventExpose -> m EventType
- setEventExposeType :: MonadIO m => EventExpose -> EventType -> m ()
- clearEventExposeWindow :: MonadIO m => EventExpose -> m ()
- getEventExposeWindow :: MonadIO m => EventExpose -> m (Maybe Window)
- setEventExposeWindow :: MonadIO m => EventExpose -> Ptr Window -> m ()

# Exported types

newtype EventExpose Source #

Memory-managed wrapper type.

Constructors

EventExpose (ManagedPtr EventExpose) |

#### Instances

Instances details

Eq EventExpose Source # |
Instance details Defined in GI.Gdk.Structs.EventExpose Methods (==) :: EventExpose -> EventExpose -> Bool Source # (/=) :: EventExpose -> EventExpose -> Bool Source #
BoxedPtr EventExpose Source # |
Instance details Defined in GI.Gdk.Structs.EventExpose Methods boxedPtrCopy :: EventExpose -> IO EventExpose Source # boxedPtrFree :: EventExpose -> IO () Source #
CallocPtr EventExpose Source # |
Instance details Defined in GI.Gdk.Structs.EventExpose Methods boxedPtrCalloc :: IO (Ptr EventExpose) Source #
ManagedPtrNewtype EventExpose Source # |
Instance details Defined in GI.Gdk.Structs.EventExpose Methods toManagedPtr :: EventExpose -> ManagedPtr EventExpose Source #
tag ~ 'AttrSet => Constructible EventExpose tag Source # |
Instance details Defined in GI.Gdk.Structs.EventExpose Methods new :: MonadIO m => (ManagedPtr EventExpose -> EventExpose) -> [AttrOp EventExpose tag] -> m EventExpose Source #

newZeroEventExpose :: MonadIO m => m EventExpose Source #

Construct a `EventExpose` struct initialized to zero.

# Methods

# Properties

## area

bounding box of `region`.

getEventExposeArea :: MonadIO m => EventExpose -> m Rectangle Source #

Get the value of the “`area`” field. When overloading is enabled, this is equivalent to

    get eventExpose #area

## count

the number of contiguous `EventTypeExpose` events following this one. The only use for this is “exposure compression”, i.e. handling all contiguous `EventTypeExpose` events in one go, though GDK performs some exposure compression so this is not normally needed.

getEventExposeCount :: MonadIO m => EventExpose -> m Int32 Source #

Get the value of the “`count`” field. When overloading is enabled, this is equivalent to

    get eventExpose #count

setEventExposeCount :: MonadIO m => EventExpose -> Int32 -> m () Source #

Set the value of the “`count`” field. When overloading is enabled, this is equivalent to

    set eventExpose [ #count := value ]

## region

the region that needs to be redrawn.

clearEventExposeRegion :: MonadIO m => EventExpose -> m () Source #

Set the value of the “`region`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #region

getEventExposeRegion :: MonadIO m => EventExpose -> m (Maybe Region) Source #

Get the value of the “`region`” field. When overloading is enabled, this is equivalent to

    get eventExpose #region

setEventExposeRegion :: MonadIO m => EventExpose -> Ptr Region -> m () Source #

Set the value of the “`region`” field. When overloading is enabled, this is equivalent to

    set eventExpose [ #region := value ]

## sendEvent

`True` if the event was sent explicitly.

getEventExposeSendEvent :: MonadIO m => EventExpose -> m Int8 Source #

Get the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    get eventExpose #sendEvent

setEventExposeSendEvent :: MonadIO m => EventExpose -> Int8 -> m () Source #

Set the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    set eventExpose [ #sendEvent := value ]

## type

the type of the event (`EventTypeExpose` or `EventTypeDamage`).

getEventExposeType :: MonadIO m => EventExpose -> m EventType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get eventExpose #type

setEventExposeType :: MonadIO m => EventExpose -> EventType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set eventExpose [ #type := value ]

## window

the window which received the event.

clearEventExposeWindow :: MonadIO m => EventExpose -> m () Source #

Set the value of the “`window`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #window

getEventExposeWindow :: MonadIO m => EventExpose -> m (Maybe Window) Source #

Get the value of the “`window`” field. When overloading is enabled, this is equivalent to

    get eventExpose #window

setEventExposeWindow :: MonadIO m => EventExpose -> Ptr Window -> m () Source #

Set the value of the “`window`” field. When overloading is enabled, this is equivalent to

    set eventExpose [ #window := value ]